@font-face {
	font-family: 'Bariol-Regular';
	src: url('../fonts/bariol-regular/Bariol-Regular.woff') format('woff');
}

@font-face {
  font-family: 'icomoon';
  src:  url('../fonts/icomoon/icomoon.woff?oznwc1') format('woff');
  font-weight: normal;
  font-style: normal;
}

*:focus {
	outline: none;
}

[class^="icon-"], [class*=" icon-"] {
  /* use !important to prevent issues with browser extensions that change fonts */
  font-family: 'icomoon' !important;
	display: inline-block;
	transform: rotate(0deg);
	transition: transform 0.5s ease-out;
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;

  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.iconSwitch {
	transform: rotate(-360deg);
}

.icon-history:before {
  content: "\e94d";
}
.icon-redo:before {
  content: "\e968";
}
.icon-cog:before {
  content: "\e994";
}
.icon-info:before {
  content: "\ea0c";
}
.icon-cross:before {
  content: "\ea0f";
}



body {
	font-family: 'Bariol-Regular', sans-serif;
	color: white;
	font-size: 16px;
}

table, td, tr {
	border-collapse: collapse;
}


#hdImgLoadHolder, #sdImgLoadHolder {
	position: fixed;
	bottom: 0;
	right: 0;
	ma-height: 20px;
	min-width: 20px;
	background-color: rgba(100,200,255,0.5);
	padding: 0;
	margin: 0;
	border-radius: 0;
	border-style: none;
	pointer-events: none;
	z-index: 10000;
	visibility: hidden;
}

#sdImgLoadHolder {
	left: 0;
}

#hdImgLoadHolder img, #sdImgLoadHolder img {
	position: relative;
	padding: 0;
	margin: 0;
	border-radius: 0;
	border-style: none;
	
}

#percentArea {
	opacity: 0;
	transition: opacity 0.3;
}

#percentHolder {
	font-size: 40vmin;
}

#percentSign {
	font-size: 25vmin;
}

#remainingTime {
	display: inline-block;
/* 	opacity: 1; */
}

.remainingTimeLeave {
	opacity: 0;
	transform: translatey(0.5em);
	transition: opacity 0.2s ease-in, transform 0.2s ease-in;
}

.remainingTimeLoad {
	opacity: 0;
	transform: translatey(-0.5em);
	transition: opacity 0, transform 0;
}

.remainingTimeEnter {
	opacity: 1;
	transform: translatey(0);
	transition: opacity 0.2s ease-out, transform 0.2s ease-out;
}

#mainTable {
	position: fixed;
	z-index: 500;
	font-size: 4vmax;
	background-image: none;
	background-color: #2b3348;
	background-size: cover;
	background-position: center;
	color: white;
	user-select: none;
    transform-origin: center;
	transition: background-image 1s, transform 0.3s, top 0.3s, left 0.3s, height 0.3s, width 0.3s;
/* 	background-image: url("../img/defaultSd.jpg") */
}

.scaleOn {
/*     transform: scale(1.15, 1.15); */
	top: -50px;
	left: -50px;
	width: calc(100% + 100px);
	height: calc(100% + 100px);

}

.scaleOff {
/*     transform: scale(1, 1); */
	top: -1px;
	left: -1px;
	width: calc(100% + 2px);
	height: calc(100% + 2px);
}

#mainTd {
	text-align: center;
	vertical-align: middle;
	text-shadow: 0px 0.3vmin 0.5vmin rgba(0,0,0, 0.7), 0 0 1px rgba(0,0,0, 0.4);
	cursor: default;
}




/* #currentTime {
	position: fixed;
	bottom: 0;
	right: 0;
	padding: 1em;
	font-family: Lucida Console, Courier, monospace;
	font-size: 1em;
	color: white;
	text-shadow: 0px 0.3vmin 0.5vmin rgba(0,0,0, 0.7), 0 0 1px rgba(0,0,0, 0.4);
	z-index: 900;
	transition: opacity 0.3s;
    } */

#blurHolder {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 100;
    transition: filter 0.3s;
}

.blurOff {
    filter: none;
}

.blurOn {
    filter: blur(26px);
}

#mainTd {
	transition: opacity 0.3s;
}

.hideOn {
	opacity: 0;
}

.hideOff {
	opacity: 1;
}

#shadeHolder {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 900;
    transition: opacity 0.3s;
    background-color: rgba(32,32,32,0.6);
}

.paneHolder {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 901;
	overflow-y: auto;
}


.shadeOff {
	opacity: 0;
	pointer-events: none;
}

.shadeOn {
	opacity: 1;
    pointer-events: auto;
}






.hoverButtonHolder {
	box-sizing: border-box;
	position: fixed;
	z-index: 980;
	height: 6em;
	width: 6em;
	transition: opacity 0.3s;
/* 	background-color: rgba(255,200,255,0.3); */
}


.hoverButton {
	box-sizing: border-box;
	position: absolute;
	font-size: 1.6em;
	padding-top: 0.54em;
	border-radius: 2em;
	overflow: hidden;
	text-align: center;
	color: rgba(255,255,255,0.7);
/* 	text-shadow: 0px 0.3vmin 0.5vmin rgba(0,0,0,0), 0 0 1px rgba(0,0,0,0); */
	text-shadow: 0px 0.3vmin 0.5vmin rgba(0,0,0, 0.7), 0 0 1px rgba(0,0,0, 0.4);
	
/* 	transition: width 0.3s 0.2s, height 0.3s 0.2s, top 0.3s 0.2s, left 0.3s 0.2s, bottom 0.3s 0.2s, right 0.3s 0.2s, opacity 0.3s 0.2s, transform 0.3s 0.2s, background-color 0.3s 0.2s, color 0.5s, text-shadow 0.5s; */
	transition-duration: 0.7s;
	transition-property: background-color, box-shadow, color, text-shadow, opacity;
	

	opacity: 0.4;
	height: 2em;
	width: 2em;
	background-color: rgba(32,32,32,0);
}

.hoverButtonOpacity {
	opacity: 0;
	pointer-events: none;
}

.hoverButtonHolder:hover .hoverButton, .hoverButtonHolder:hover #nextButton, .hoverButtonOpen {
	box-shadow: inset 0 0.05em 0.1em 0 rgba(0,0,0,0.7), 0 -0.05em 0.1em 0 rgba(0,0,0,0.7), 0 0.05em 0.1em 0 rgba(255,255,255,0.3);
	opacity: 1;
/* 	transition: width 0.3s, height 0.3s, top 0.3s, left 0.3s, bottom 0.3s, right 0.3s, opacity 0.3s, transform 0.3s, background-color 0.3s, color 0.5s 0.2s, text-shadow 0.5s 0.2s; */
	background-color: rgba(32,32,32,0.5);
/* 	text-shadow: 0px 0.3vmin 0.5vmin rgba(0,0,0, 0.7), 0 0 1px rgba(0,0,0, 0.4); */
}


.hoverButtonHolder:hover .hoverButton, .hoverButtonHolder:hover #nextButton {
	color: rgba(255,255,255,0.7);
}

.hoverButtonOpen {
	color: rgba(255,255,255,0.4);
	transition-duration: 0.5s;
	transition-property: background-color, box-shadow, color, text-shadow;
	
}
.hoverButtonOpen:hover {
	color: rgba(255,255,255,0.6);
}


#settingsButton {
	left: 0.25em;
	bottom: 0.25em;
	transform-origin: left bottom;
}
#settingsButtonHolder {
	left: 0;
	bottom: 0;
}

#infoButton {
	left: 0.25em;
	top: 0.25em;
	transform-origin: left top;
}
#infoButtonHolder {
	left: 0;
	top: 0;
}

#nextButton {
	right: 0.25em;
	top: 0.25em;
	transform-origin: right top;
}

#nextButtonHolder {
	right: 0;
	top: 0;
}



.spinner {
	opacity: 1;
	color: rgba(255,255,255,0);
	text-shadow: 0px 0.3vmin 0.5vmin rgba(0,0,0,0), 0 0 1px rgba(0,0,0,0);
}

@keyframes spinner {
	to {
		transform: rotate(360deg);
	}
}

@keyframes spinner2 {
	to {
		transform: rotate(-360deg);
	}
}

.spinner:before, .spinner:after  {
	content: '';
	box-sizing: border-box;
	position: absolute;
	top: 3%;
	left: 3%;
	width: 94%;
	height: 94%;
	border-radius: 50%;
	transition: transform 0.3s;
	border-right: 0.1em solid transparent;
}

.spinner:before {
	border-top: 0.1em solid rgba(175,175,175,0.5);
	animation: spinner 1s linear infinite;
}

.spinner:after {
	border-bottom: 0.1em solid rgba(75,75,75,0.5);
	animation: spinner2 0.7s linear infinite;
}






.blurScreenHolder {
	box-sizing: border-box;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    min-height: 100%;
    z-index: 961;
    overflow: auto;
	border-style: none;
	border-collapse: collapse;
	vertical-align: middle;
	text-align: center;
/*     background-color: rgba(0,150,255,0.5); */
}

.blurScreenTd {
	box-sizing: border-box;
	position: relative;
	top: 0;
	left: 0;
	width: 100%;
/* 	min-height: 100%; */
	padding: 5%;
	overflow: auto;
}

.blurScreenDiv {
	box-sizing: border-box;
    position: relative;
    display: inline-block;
/*     top: 50%; */
/*     left: 50%; */
/*     max-height: 100%; */
    max-width: 80%;
    opacity: 1;
	padding: 6vh 6vw;
/*     transform: translate(-50%, -50%); */
/*     background-color: rgba(150,250,0,0.5); */
/*     overflow-y: auto; */
    color: white;
	text-shadow: 0px 0.3vmin 0.5vmin rgba(0,0,0, 0.7), 0 0 1px rgba(0,0,0, 0.4);
}

.blurScreenOpen {
    opacity: 1;
    transition: opacity 0.5s 0.15s;
	pointer-events: auto;
}

.blurScreenClosed {
    opacity: 0;
    transition: opacity 0.3s;
	pointer-events: none;
}




#infoDiv {
	font-size: 1em;
/* 	background-color: rgba(100,200,255,0.3); */
}

#apodTitleDiv {
	box-sizing: border-box;
	position: relative;
	width: 100%;
	text-align: center;
}

#apodDetailsTitle {
	font-size: 2.5em;
}

#apodDetailsDate {
	font-size: 1.2em;
}

#apodTitleDiv a {
	text-decoration: none;
	color: white;
}
#apodTitleDiv a:hover {
	text-decoration: underline;
}

#apodDetailsCopyright {
	font-size: 1.6em;
}

#urlHolder {
	color: rgba(255,255,255,0.6);
}

#urlHolder a {
	color: rgba(255,255,255,0.6);
	font-style: italic;
	font-size: 1.1em;
	transition: color 0.3s;
}

#urlHolder a:hover {
	color: rgba(255,255,255,1);
}

#highResHolder {
	display: inline-block;
}

#apodDetailsExplanation {
	box-sizing: border-box;
	position: relative;
	width: 100%;
	text-align: left;
	font-size: 1.5em;
	padding: 1em 0;
	text-indent: 1em;
}



#settingsDiv {
	display: inline-block;
	box-sizing: border-box;
	border-collapse: collapse;
	border-style: none;
	font-size: 1.7em;
/* 	min-width: 90vw; */
/* 	background-color: rgba(200,200,50,0.3); */
}

#settingsDiv > td {
	padding: 0.1em 0;
	vertical-align: middle;
}


.settingsLabel {
	user-select: none;
	text-align: left;
/* 	background-color: rgba(200,200,50,0.3); */
}

.settingsLabel:after {
	content: "\00a0\00a0";
}

.toggleTd {
	text-align: right;
	
} 

#settingsDiv table {
	width: 100%;
	margin: 0.2em 0;
}

/* td {
	background-color: rgba(255,255,0,0.1);
} */



/* .toggle {
	width: 5em;
} */

.toggle span {
	user-select: none;
}

.toggle span:first-child:after {
	content: "\00a0\00a0";
}

.toggleOff {
	color: rgba(255,255,255,0.5);
}

.toggle {
	display: inline-block;
	font-size: 1em;
	box-shadow: inset 0 0.05em 0.1em 0 rgba(0,0,0,0.7), 0 -0.05em 0.1em 0 rgba(0,0,0,0.7), 0 0.05em 0.1em 0 rgba(255,255,255,0.3);
	text-shadow: 0px 0.3vmin 0.5vmin rgba(0,0,0, 0.7), 0 0 1px rgba(0,0,0, 0.4);
	background-color: rgba(32,32,32,0.1);
	color: white;
	padding: 0.2em 0.5em;
	margin: 0.3em 0.;
	border-radius: 2em;
	border-width: 0;
	border-style: none;
	transition: background-color 0.5s;
	text-align: center;
	font-family: 'Bariol-Regular', sans-serif;
}

.toggle span {
	cursor: pointer;
	user-select: none;
	transition: color: 0.6s;
}

#settingsDiv input {
	width: 4.5em;
}

/* Hide HTML5 Up and Down arrows. */
input[type="number"]::-webkit-outer-spin-button, input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
 
input[type="number"] {
    -moz-appearance: textfield;
}




.toggle::selection {
	background-color: rgba(20,20,50,0.3);
}

.toggle:hover {
	background-color: rgba(255,255,255,0.05);
}

.toggle:focus {
	background-color: rgba(255,255,255,0.15);
}

.timeLable {
	padding-top: 0.4em;
	user-select: none;
}

.lunchTimeson {
	opacity: 1;
	transition: opacity 0.6s;
}

.lunchTimesoff {
	opacity: 0;
	transition: opacity 0.6s;
}




#clock {
	position: fixed;
	z-index: 950;
	bottom: 0;
	right: 0;
	padding: 5vmin 2vmin 2vmin 5vmin;
	color: color;
	text-shadow: 0px 0.3vmin 0.5vmin rgba(0,0,0, 0.7), 0 0 1px rgba(0,0,0,0.6), 0 0 1px rgba(0,0,0,0.6);
	font-weight: 800;
	letter-spacing: 0.1em;
	transition: opacity 0.5s;
	opacity: 0.7;
	user-select: none;
}

#clock:hover {
	opacity: 1;
}

#clockSecond {
	display: inline-block;
	text-align: left;
	width: 1.7em;
}

#tempSetter {
	font-size: 1.3em;
	font-style: italic;
}

#tempSetter:hover {
	text-decoration: underline;
}


#copyrightStatus {
	font-family: "Bariol-Regular", sans-serif;
	position: fixed;
	font-size: 1.5em;
	bottom: 0;
	left: 25%;
	width: 50%;
	color: color;
	z-index: 800;
	text-shadow: 0px 0.3vmin 0.5vmin rgba(0,0,0, 0.8), 0 0 1px rgba(0,0,0, 0.7);
	padding: 0 0 1vh 0;
	text-align: center;
	line-height: 1.2em;
/* 	font-weight: 600; */
}

.copyrightStatusHidden{
	opacity: 0;
	pointer-events: none;
	transition: opacity 1s;
}

.copyrightStatusShowing{
	opacity: 1;
	pointer-events: auto;
	transition: opacity 1s 1s;
}

#copyrightStatus a {
	color: white;
	text-decoration: none;
}
#copyrightStatus a:hover {
	text-decoration: underline;
}
